Loading...
Searching...
No Matches
apache::subversion::svnxx::detail::future_::shared_future< T > Class Template Reference
SVN++ Implementation Details

like std::shared_future, but also maintains internal state relevant to the asynchronous SVN++ operation. More...

`#include <svnxx/detail/future.hpp>`

Inheritance diagram for apache::subversion::svnxx::detail::future_::shared_future< T >:

## Public Member Functions

| shared_future (const shared_future &that) noexcept
| shared_future (shared_future &&that) noexcept
| shared_future (future< T > &&that) noexcept

## Protected Types

using | inherited = std::shared_future<T>

## Protected Member Functions

| shared_future (inherited &&that, shared_ptr shared_result_) noexcept

## Detailed Description

template<typename T>
class apache::subversion::svnxx::detail::future_::shared_future< T >

like std::shared_future, but also maintains internal state relevant to the asynchronous SVN++ operation.

Definition at line 74 of file future.hpp.

## Member Typedef Documentation

## inherited

template<typename T>

using apache::subversion::svnxx::detail::future_::shared_future< T >::inherited = std::shared_future<T>

protected

Definition at line 78 of file future.hpp.

## Constructor & Destructor Documentation

## shared_future() [1/5]

template<typename T>

apache::subversion::svnxx::detail::future_::shared_future< T >::shared_future | ( | inherited && | that,
|  | shared_ptr | shared_result_ )

inline protected noexcept

Definition at line 80 of file future.hpp.

## shared_future() [2/5]

template<typename T>

apache::subversion::svnxx::detail::future_::shared_future< T >::shared_future | ( |  | ) |

inline noexcept

Definition at line 85 of file future.hpp.

## shared_future() [3/5]

template<typename T>

apache::subversion::svnxx::detail::future_::shared_future< T >::shared_future | ( | const shared_future< T > & | that | ) |

inline noexcept

Definition at line 87 of file future.hpp.

## shared_future() [4/5]

template<typename T>

apache::subversion::svnxx::detail::future_::shared_future< T >::shared_future | ( | shared_future< T > && | that | ) |

inline noexcept

Definition at line 91 of file future.hpp.

## shared_future() [5/5]

template<typename T>

apache::subversion::svnxx::detail::future_::shared_future< T >::shared_future | ( | future< T > && | that | ) |

inline noexcept

Definition at line 161 of file future.hpp.

The documentation for this class was generated from the following file:

- svnxx/detail/future.hpp